import http from "@/utils/http";
import { AppDispatch } from "..";
/**
 * 获取日志表格列表
 */
export const getLogListAPI = (data: any):any => {
  return async (dispatch: AppDispatch) => {
    const res = await http.post("sys/log/list", data);
    if (res.code === 0) {
      const obj = {
        list: res.data.records,
        total: res.data.total,
      };
      dispatch({ type: "Z2/getList", payload: obj });
    }
  };
};
